# Revision history for fractionizer

## 0.1.0.0 -- 2023-04-19

* First version. Released on an unsuspecting world.

## 0.1.0.1 -- 2023-04-19

* First version revised A. Fixed incorrectly looking README.md.

## 0.2.0.0 -- 2023-04-20

* Second version. Fixed mathematical incompleteness in the solution that led to the reformulation
of the problem itself. Now the solution is mathematically correct. See the changed link to the
draft article in the package description. Changed the source code accordingly.

## 0.3.0.0 -- 2023-04-20

* Third version. Removed the unneeded parameter that is needed just for theoretical proof and
  solution finding (see the related draft paper). Some code simplifications.

## 0.4.0.0 -- 2023-04-20

* Fourth version. Fixed mathematical inaccuracy that led to the solution with possible two equal
  after rounding denominators. See the pdf file in the description for more information.

## 0.5.0.0 -- 2023-04-21

* Fifth version. Fixed mathematical inaccuracy that lead to incorrect solution.

## 0.6.0.0 -- 2023-04-21 

* Sixth version. Fixed mathematical inaccuracy, added new functionality according to the 
paper.

## 0.6.1.0 -- 2023-04-21 

* Sixth version revised A. Fixed README.md. 

## 0.6.1.1 -- 2023-04-22

* Sixth version revised B. Some code and documentation improvements.

## 0.6.1.2 -- 2023-04-22

* Sixth version revised C. Some code and documentation improvements.

## 0.7.0.0 -- 2023-04-24

* Seventh version. Added the extended variants for 3 unit fractions decomposition.

## 0.7.0.1 -- 2023-04-24

* Seventh version revised A. Some minor documentation improvements.

## 0.8.0.0 -- 2023-04-25

* Eigth version. Added generalized variants of the functions using ErrorImpact type synonym with
special semantics.

## 0.9.0.0 -- 2023-04-25

* Ninth version. Changed the error definition to the usual one (if the approximation now is greater
than the exact value then the error now is greater than 0, previously it was vice versa).

## 0.10.0.0 -- 2023-05-10

* Tenth version. Fixed some issues with the functions, moved the functionality of the 
suitable21 function to the setOfSolutionsGmin function. Changed the behaviour of some functions
depending on the 'ErrorImpact' parameter (now its sign defines the sign of the absolute error). 
Some documentation improvements. 

## 0.11.0.0 -- 2023-10-12

* Eleventh version. Added new function lessErrSimpleDecomp4PG that allows decompositions into 4 unit
  fractions with rather good precision. 
